<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.ydl.component">

    <permission android:name="android.permission.WRITE_SETTINGS" />

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.USE_BIOMETRIC" />

    <application
        android:name=".base.ComponentTestApp"
        android:allowBackup="false"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network_config"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/platform_CommonTheme"
        tools:ignore="GoogleAppIndexingWarning"
        tools:replace="android:allowBackup, android:icon, android:label,android:name">
        <activity
            android:name=".music.FragmentContainerActivity"
            android:theme="@style/platform_NoTitleTheme" />
        <!-- <activity android:name="com.yidianling.user.ui.login.RegisterAndLoginActivity" -->
        <!-- <activity android:name=".MainActivity"/> -->
        <activity
            android:name=".MainActivity"
            android:launchMode="singleTask"
            android:theme="@style/platform_NoTitleTheme">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>

            <intent-filter>
                <action android:name="com.ydl.media.ACTION_MUSIC_CLICK" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <category android:name="android.intent.category.BROWSABLE"/>
                <data android:scheme="jz0d0s"/>
            </intent-filter>
        </activity>

        <meta-data
            android:name="com.ydl.component.base.DemoGlobalConfig"
            android:value="ModuleConfig" />
        <activity
            android:name="com.tencent.tauth.AuthActivity"
            android:launchMode="singleTask"
            android:noHistory="true">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data android:scheme="tencent1105070461" />
            </intent-filter>
        </activity>

        <activity android:name=".TestAppActivity" />
        <activity
            android:name=".home.HomeActivity"
            android:launchMode="singleTask"
            android:noHistory="true"/>


        <activity
            android:name=".rtc.MDTLoginActivity"
            android:launchMode="singleTask"
            android:theme="@style/Theme.AppCompat.NoActionBar" />

        <activity
            android:name=".rtc.MDTMainActivity"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="com.tencent.liteav.action.portal" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
                <data
                    android:host="com.tencent.qcloud"
                    android:path="/detail"
                    android:scheme="pushscheme" />
            </intent-filter>
            <intent-filter>
                <action android:name="com.tencent.trtc.tuicalling" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <activity
            android:name=".rtc.ProfileActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.AppCompat.NoActionBar" />

        <activity
            android:name=".rtc.TUICallingEntranceActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.AppCompat.NoActionBar" />
        <activity android:name=".rtc.VideoCallingEnterActivity" />

    </application>

</manifest>